From: Sergio Durigan Junior <sergiodj@sergiodj.net>
Date: Mon, 8 Aug 2016 20:37:40 -0400
Subject: Use bare repo for testing

---
 tests/test_pagure_flask_api_issue.py | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/tests/test_pagure_flask_api_issue.py b/tests/test_pagure_flask_api_issue.py
index 2b6fb7a..c6d166b 100644
--- a/tests/test_pagure_flask_api_issue.py
+++ b/tests/test_pagure_flask_api_issue.py
@@ -46,7 +46,8 @@ class PagureFlaskApiIssuetests(tests.Modeltests):
     def test_api_new_issue(self):
         """ Test the api_new_issue method of the flask api. """
         tests.create_projects(self.session)
-        tests.create_projects_git(os.path.join(tests.HERE, 'tickets'))
+        tests.create_projects_git(
+            os.path.join(tests.HERE, 'tickets'), bare=True)
         tests.create_tokens(self.session)
         tests.create_tokens_acl(self.session)
 
@@ -624,7 +625,8 @@ class PagureFlaskApiIssuetests(tests.Modeltests):
     def test_api_change_status_issue(self):
         """ Test the api_change_status_issue method of the flask api. """
         tests.create_projects(self.session)
-        tests.create_projects_git(os.path.join(tests.HERE, 'tickets'))
+        tests.create_projects_git(
+            os.path.join(tests.HERE, 'tickets'), bare=True)
         tests.create_tokens(self.session)
         tests.create_tokens_acl(self.session)
 
